/****************************************************************************
 *                                                                          *
 *                  Concours 2006 - GAMES CREATORS NETWORK                  *
 *                                                                          *
 ****************************************************************************

                     PRODUCT          : GRAVITY GAME
 
                     FILE             : EndProcess.h

                     VERSION          : 1
 
 ****************************************************************************
 *                                                                          *
 *  DESCRIPTION :                                                           *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          * 
 *                                                                          *  
 ****************************************************************************
 *                                                                          *
 * HISTORY :                                                                * 
 * ---------                                                                *
 *                                                                          *
 *  Date        | Author  | Comment                                         *
 *  ---------------------------------------------------------------------   *
 *  24/07/2006  | Bahamut | Creation                                        *
 *  ---------------------------------------------------------------------   *
 *                                                                          *
 *                                                                          *
 ****************************************************************************/
#ifndef _ENDPROCESS_H__
#define _ENDPROCESS_H__ 1

#include "baseprocess.h"

class CEndProcess :
	public CBaseProcess
{
public:
	CEndProcess(void);
	virtual ~CEndProcess(void);
	bool init(void);
	void paint(void);
	void update(Uint32 time);
	void keyDownEvent(SDL_KeyboardEvent* key);
	void keyUpEvent(SDL_KeyboardEvent* key);
	void mouseButtonDownEvent(SDL_MouseButtonEvent* button);
	void mouseButtonUpEvent(SDL_MouseButtonEvent* button);
	void mouseMotionEvent(SDL_MouseMotionEvent* motion);
protected:
	void initOGL(void);
	void initGameState(void);
};


#endif




/****************************************************************************
 *                                                                          *
 *  NOTES :                                                                 *
 *                                                                          *
 ****************************************************************************
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *    
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *         
 *                                                                          *    
 ****************************************************************************/